commit:     2ca2dcec4f3c13c627e2a49ca1edb82254240dfd
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 11 20:22:03 2016 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Tue Oct 11 20:23:44 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ca2dcec

x11-themes/greybird: generate the gtk3 theme using sass

Upstream converted ot using SASS to generate theme files in a manner
similar to Adwaita; a diff of the installed files with generation and
without showed there were small differences on 3.20.1, so the
3.20.1 and live (9999) versions are converted to use the autotools
build system.

Package-Manager: portage-2.3.0

 ...ird-3.20.1.ebuild => greybird-3.20.1-r1.ebuild} | 34 ++++++++++------------
 x11-themes/greybird/greybird-9999.ebuild           | 32 +++++++++-----------
 2 files changed, 28 insertions(+), 38 deletions(-)

diff --git a/x11-themes/greybird/greybird-3.20.1.ebuild 
b/x11-themes/greybird/greybird-3.20.1-r1.ebuild
similarity index 60%
rename from x11-themes/greybird/greybird-3.20.1.ebuild
rename to x11-themes/greybird/greybird-3.20.1-r1.ebuild
index 44410f0..b8093ce 100644
--- a/x11-themes/greybird/greybird-3.20.1.ebuild
+++ b/x11-themes/greybird/greybird-3.20.1-r1.ebuild
@@ -3,6 +3,7 @@
 # $Id$
 
 EAPI=6
+inherit autotools
 
 MY_PN=${PN/g/G}
 
@@ -18,31 +19,26 @@ IUSE="ayatana gnome"
 
 RDEPEND="
        >=x11-themes/gtk-engines-murrine-0.90
+       >=x11-libs/gtk+-3.20.0
+"
+DEPEND="${RDEPEND}
+       dev-ruby/sass
+       dev-libs/glib:2
 "
-
-RESTRICT="binchecks strip"
 
 S=${WORKDIR}/${MY_PN}-${PV}
+#RESTRICT="binchecks strip"
 
-src_install() {
-       dodoc README.md
-       rm -f README.md configure.ac autogen.sh Makefile.am LICENSE*
-
-       insinto /usr/share/themes/${MY_PN}-compact/xfwm4
-       doins xfwm4-compact/*
-       rm -rf xfwm4-compact
-
-       insinto /usr/share/themes/${MY_PN}-a11y/xfwm4
-       doins xfwm4-a11y/*
-       rm -rf xfwm4-a11y
+src_prepare() {
+       eapply_user
+       eautoreconf
+}
 
-       insinto /usr/share/themes/${MY_PN}-bright/xfce-notify-4.0
-       doins xfce-notify-4.0_bright/*
-       rm -rf xfce-notify-4.0_bright
+src_install() {
+       emake DESTDIR="${D}" install
 
+       pushd "${ED}"usr/share/themes/${MY_PN} > /dev/null || die
        use ayatana || rm -rf unity
        use gnome || rm -rf metacity-1
-
-       insinto /usr/share/themes/${MY_PN}
-       doins -r *
+       popd > /dev/null || die
 }

diff --git a/x11-themes/greybird/greybird-9999.ebuild 
b/x11-themes/greybird/greybird-9999.ebuild
index 4a05a61..dd25b51 100644
--- a/x11-themes/greybird/greybird-9999.ebuild
+++ b/x11-themes/greybird/greybird-9999.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=6
-inherit git-r3
+inherit autotools git-r3
 
 MY_PN=${PN/g/G}
 
@@ -19,29 +19,23 @@ IUSE="ayatana gnome"
 
 RDEPEND="
        >=x11-themes/gtk-engines-murrine-0.90
+       >=x11-libs/gtk+-3.20.0
+"
+DEPEND="${RDEPEND}
+       dev-ruby/sass
+       dev-libs/glib:2
 "
 
-RESTRICT="binchecks strip"
+src_prepare() {
+       eapply_user
+       eautoreconf
+}
 
 src_install() {
-       dodoc README.md
-       rm -f README.md configure.ac autogen.sh Makefile.am LICENSE*
-
-       insinto /usr/share/themes/${MY_PN}-compact/xfwm4
-       doins xfwm4-compact/*
-       rm -rf xfwm4-compact
-
-       insinto /usr/share/themes/${MY_PN}-a11y/xfwm4
-       doins xfwm4-a11y/*
-       rm -rf xfwm4-a11y
-
-       insinto /usr/share/themes/${MY_PN}-bright/xfce-notify-4.0
-       doins xfce-notify-4.0_bright/*
-       rm -rf xfce-notify-4.0_bright
+       emake DESTDIR="${D}" install
 
+       pushd "${ED}"usr/share/themes/${MY_PN} > /dev/null || die
        use ayatana || rm -rf unity
        use gnome || rm -rf metacity-1
-
-       insinto /usr/share/themes/${MY_PN}
-       doins -r *
+       popd > /dev/null || die
 }

Reply via email to